Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Pango::AttrUnderlineColor Class Reference

Pango underline color C++ wrapper class. More...

`#include <xfc/pango/attributes.hh>`

Inheritance diagram for Xfc::Pango::AttrUnderlineColor:

List of all members.

## Public Member Functions

Constructors

- AttrUnderlineColor (unsigned short red, unsigned short green, unsigned short blue)
    Construct a new underline color attribute.

## Detailed Description

Pango underline color C++ wrapper class.

AttrUnderlineColor wraps the underline color attribute (ATTR_UNDERLINE_COLOR).

## Constructor & Destructor Documentation

Xfc::Pango::AttrUnderlineColor::AttrUnderlineColor | ( | unsigned short | red,
|  | unsigned short | green,
|  | unsigned short | blue
| ) | `[explicit]`

Construct a new underline color attribute.

Parameters:

  | red | The red value (ranging from 0 to 65535).
  | green | The green value.
  | blue | The blue value.

This attribute modifies the color of underlines. If not set, underlines will use the foreground color.

The documentation for this class was generated from the following file:

- attributes.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3